UbuntuにOpenMPIをインストールする。の追記

現行の最新版のOpenMPI(ver.2.0.1、2016/9/16)と旧verの違いをメモしておきます。

旧verではサポートしていたC++の実装の部分がver.2.0.0系から削除されています。

ただ、このことは大きな変更点として書かれていないのでOpenMPI中のC++の実装方法を変更している途中かもしれないし、今後のサポートを切るための準備段階かもしれません。

もともとOpenMPIにおけるC++の実装は「C++で書いても動くようにはしたよ!(Cでの実装部分に飛ばすだけ)」くらいのものなのでもしかしたら先行きは明るくないのかも…。

私はとりあえずver.1.10.4にダウングレードすることで場当たり的な対応をしましたが、ちょっと困りますね。

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Scroll to top